package space.kklochko.spring_rest_example.security.tokens;

import org.apache.commons.lang3.RandomStringUtils;

public class SimpleRandomToken extends StringTokenFactory {
    public String create(String input) {
        String salt = getRandomSalt(32);
        return org.apache.commons.codec.digest.DigestUtils.sha256Hex(input + salt);
    }

    private String getRandomSalt(int length) {
        boolean useLetters = true;
        boolean useNumbers = true;
        return RandomStringUtils.random(length, useLetters, useNumbers);
    }
}

